curl -X GET "https://prospect-api.smartlead.ai/api/v1/search-email-leads/departments?api_key=YOUR_API_KEY"
{
"success": true,
"message": "Data retrieved successfully",
"data": [
{ "id": 1, "department_name": "Engineering" },
{ "id": 2, "department_name": "Sales" }
],
"pagination": {
"limit": 10,
"offset": 0,
"page": 1,
"count": 2
},
"search": null
}
{
"statusCode": 401,
"success": false,
"message": "Unauthorized",
"error": "User not authenticated"
}
Smart Prospect
Departments API
List departments for the authenticated user - GET /departments
GET
/
api
/
v1
/
search-email-leads
/
departments
curl -X GET "https://prospect-api.smartlead.ai/api/v1/search-email-leads/departments?api_key=YOUR_API_KEY"
{
"success": true,
"message": "Data retrieved successfully",
"data": [
{ "id": 1, "department_name": "Engineering" },
{ "id": 2, "department_name": "Sales" }
],
"pagination": {
"limit": 10,
"offset": 0,
"page": 1,
"count": 2
},
"search": null
}
{
"statusCode": 401,
"success": false,
"message": "Unauthorized",
"error": "User not authenticated"
}
This endpoint requires authentication via API key passed as a query parameter (
api_key).Query Parameters
string
required
Your SmartLead API key for authentication
string
Number of departments to return (1–100). Pattern: ^[1-9][0-9]*$ or 100. Default: “10”.
string
Number of departments to skip for pagination (≥ 0). Pattern: ^[0-9]+$. Default: “0”.
string
Search string to match department names starting with this value (1–255 characters).
curl -X GET "https://prospect-api.smartlead.ai/api/v1/search-email-leads/departments?api_key=YOUR_API_KEY"
Response Codes
Success
Request successful
Unauthorized
Unauthorized
Internal Server Error
Internal Server Error
{
"success": true,
"message": "Data retrieved successfully",
"data": [
{ "id": 1, "department_name": "Engineering" },
{ "id": 2, "department_name": "Sales" }
],
"pagination": {
"limit": 10,
"offset": 0,
"page": 1,
"count": 2
},
"search": null
}
{
"statusCode": 401,
"success": false,
"message": "Unauthorized",
"error": "User not authenticated"
}
